#
# spec file for package fvwm95 (Version 2.0.43b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         fvwm95
Copyright:    GPL
Group:        X11/Window Managers
Provides:     fvwm95 windowmanager
Requires:     icons icons-xpm xclass-utils
Autoreqprov:  on
Version:      2.0.43b
Release:      174
Summary:      Virtual window manager, look'n'feel of Win95
Source:       fvwm95-%{version}.tar.bz2
Patch0:       fvwm95-%{version}.patch
Patch1:       fvwm95-%{version}-yyin.patch
Patch2:       fvwm95-%{version}-inc.patch
Patch3:       fvwm95-%{version}-ia64-prep.patch
Patch4:       fvwm95-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
The look'n'feel of Win95 without Win95! With icons in the menus,
frames and handling like win95, a task-bar with start button a.m.o.m.
By installing the package susewm one can configure fvwm95 similar to
fvwm, fvwm2 or bowman.
Important1! The config file's name was changed to .fvwm95rc !
Important2! Please read the file /usr/share/doc/packages/fvwm95/README.SuSE!
Documentation:
/usr/share/doc/packages/fvwm95
man fvwm95
fvwm95man <man page>

Authors:
--------
    Rob Nation <fvwm@wonderland.org>
    Hector Peraza <peraza@mitac11.uia.ac.be>

SuSE series: xwm

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4

%build
%{suse_update_config -f}
autoconf
./configure --prefix=/usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin
X11DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11
FVWMDIR=$X11DIR/fvwm95
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 ./suse/fvwm95-wrp $BINDIR
install -m 755 ./suse/fvwm95man  $BINDIR
rm -f $FVWMDIR/.fvwm95rc
install -m 644 ./suse/suse.fvwm95rc $FVWMDIR/.fvwm95rc
ln -sf %{_defaultdocdir}/fvwm95/docs $FVWMDIR
cp -a $RPM_BUILD_ROOT/usr/X11R6/man .
rm -rf $RPM_BUILD_ROOT/usr/X11R6/man/man1/*
gzip -f -9 man/man1/*.1
ln -sf %{_defaultdocdir}/fvwm95/man/man1/fvwm95.1.gz $RPM_BUILD_ROOT/usr/X11R6/man/man1/fvwm95.1.gz

%preun
#
# source /etc/rc.config to get SUSEWM variables
#
. /etc/rc.config
#
# delete files only if generated by SuSEconfig
#
test "$SUSEWM_UPDATE" != "yes" && exit 0
#
# all implies fvwm95
#
test "$SUSEWM_WM" = "all" && SUSEWM_WM="fvwm95"
for wm in "$SUSEWM_WM"
do
	test "$wm" = "fvwm95" && break
done
test "$wm" != "fvwm95" && exit 0
#
# it's really generated by SuSEconfig, delete
#
cd /usr/X11R6/lib/X11/fvwm95 && \
	rm -f .fvwm95rc.old
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README GPL Changelog fvwm95-2.xx.lsm
%doc pixmaps/README.mini suse/README.SuSE docs man
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/fvwm95/plugins
/usr/X11R6/lib/X11/fvwm95/scripts
/usr/X11R6/lib/X11/fvwm95/docs
/usr/X11R6/lib/X11/fvwm95/pixmaps
/usr/X11R6/lib/X11/fvwm95/Fvwm*
/usr/X11R6/lib/X11/fvwm95/fvwmrc_convert
/usr/X11R6/lib/X11/fvwm95/quantize_pixmaps
/usr/X11R6/lib/libfvwm95.a
%config /usr/X11R6/lib/X11/fvwm95/system.fvwm95rc
%config /usr/X11R6/lib/X11/fvwm95/.fvwm95rc
%doc /usr/X11R6/man/man1/fvwm95.1.gz

%changelog -n fvwm95
* Tue May 22 2001 - pmladek@suse.cz
- fixed include files on ia64
- fixed #undef in modules/FvwmButtons/misc.c
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sun Apr 29 2001 - pmladek@suse.cz
- added xclass-utils to requires (command "run")
* Wed Apr 25 2001 - pmladek@suse.cz
- fixed closing of file yyin
- fixed includes
- fixed preprocesor warnings on ia64
- fixed conversions int <-> pointer on ia64
* Mon Apr 09 2001 - pmladek@suse.cz
- added icons-xpm to Requires
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Thu Dec 14 2000 - schwab@suse.de
- Fix missing -fPIC.
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed neededforbuild
- requires: icons
* Tue Oct 03 2000 - cihlar@suse.cz
- update to version 2.0.43b
* Tue Sep 26 2000 - cihlar@suse.cz
- fixed to install
* Fri Jul 14 2000 - cihlar@suse.cz
- realy fix symlink to manpage
* Thu Jun 08 2000 - schwab@suse.de
- Fix symlink to manpage.
* Mon Jun 05 2000 - ro@suse.de
- doc relocation
* Sat Dec 11 1999 - kukuk@suse.de
- Fix for SPARC
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 03 1999 - ro@suse.de
- alpha-fixes: no ldnet_stub , dont redeclare
* Thu Sep 24 1998 - ro@suse.de
- dont include linux/time.h for glibc
* Wed Oct 08 1997 - maddin@suse.de
- moved to rpm autobuild / spec
- removed manpage for xpmroot
- fixed bug for FvwmConfig
- added pre.uninstall script to avoid problems with config-files generated
  by SuSEconfig
* Fri Jun 20 1997 - maddin@suse.de
- removed compatibility links for fvwm95-2
* Mon Jun 09 1997 - maddin@suse.de
- removed absolute links
* Tue May 20 1997 - maddin@suse.de
- removed pixmaps and xpmroot from package
* Mon Apr 07 1997 - maddin@suse.de
- new version 2.0.43a
- the manpage subtree is now in /usr/doc/packages/fvwm95 to avoid conflicts
  with fvwm2 and fvwm1 manpages
- new command: fvwm95man; to read moved manpages
- /usr/doc/packages/fvwm95/README.SuSE documents that fact
- notice on manpages' new position inserted to fvwm95 manpage
- builtin-menu enriched by Restart entry (in fvwm.c)
